Bug 972569 - OpenStack Installer: Packstack could set the list of known_stores based on what it knows it is configuring
OpenStack Installer: Packstack could set the list of known_stores based on wh...
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-packstack (Show other bugs)
3.0
Unspecified Linux
unspecified Severity medium
: ---
: 4.0
Assigned To: Flavio Percoco
Nir Magnezi
:
Depends On:
Blocks: 988803 990515
  Show dependency treegraph
 
Reported: 2013-06-10 02:05 EDT by Nir Magnezi
Modified: 2013-10-28 04:48 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 988803 (view as bug list)
Environment:
Last Closed: 2013-10-28 04:48:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nir Magnezi 2013-06-10 02:05:33 EDT
Description of problem:
=======================
Post installation, Glance indicates the following ERROR:
ERROR glance.store.swift [-] Could not find swift_store_auth_address in configuration options.

To avoid that, Packstack could set the list of known_stores based on what it knows it is configuring.


Version-Release number of selected component (if applicable):
=============================================================
openstack-packstack-2013.1.1-0.13.dev621.el6ost.noarch

How reproducible:
=================
2/2

Steps to Reproduce:
===================
1. Install openstack via packstack.
2. Check Glance API Log

Actual results:
===============

2013-05-26 13:14:51.895 8089 WARNING glance.store.base [-] Failed to configure store correctly: Store s3 could not be configured correctly. Reason: Could not find s3_store_host in configuration options. Disabling add method.
2013-05-26 13:14:51.907 8089 ERROR glance.store.swift [-] Could not find swift_store_auth_address in configuration options.
2013-05-26 13:14:51.907 8089 WARNING glance.store.base [-] Failed to configure store correctly: Store swift could not be configured correctly. Reason: Could not find swift_store_auth_address in configuration options. Disabling add method

Expected results:
=================
No error / warning should be expected.
Comment 3 Flavio Percoco 2013-10-28 04:48:21 EDT
Nir and I just double checked this issue and it's fixed now!

Note You need to log in before you can comment on or make changes to this bug.